## bmusb 0.5.1

=== Makefile ===
CXXFLAGS := -std=gnu++14 -O2 -Wall -I. -g $(shell pkg-config libusb-1.0 --cflags) -pthread
LDFLAGS := $(shell pkg-config libusb-1.0 --libs) -pthread
AR := ar
RANLIB := ranlib
INSTALL := install
PREFIX := /usr/local
LIB := libbmusb.a

all: $(LIB) main

main: bmusb.o main.o
	$(CXX) -o main $^ $(LDFLAGS)

$(LIB): bmusb.o fake_capture.o
	$(AR) rc $@ $^
	$(RANLIB) $@

clean:
	$(RM) bmusb.o main.o fake_capture.o $(LIB) main

install: all
	$(INSTALL) -m 755 -o root -g root -d \
		$(DESTDIR)$(PREFIX)/lib \
		$(DESTDIR)$(PREFIX)/lib/pkgconfig \
		$(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 755 -o root -g root $(LIB) $(DESTDIR)$(PREFIX)/lib
	$(INSTALL) -m 755 -o root -g root bmusb/bmusb.h bmusb/fake_capture.h $(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 644 -o root -g root bmusb.pc $(DESTDIR)$(PREFIX)/lib/pkgconfig

=== debian/changelog ===
bmusb (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 30 Jul 2016 18:42:40 +0200

bmusb (0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Jul 2016 21:26:24 +0200

bmusb (0.4-1) unstable; urgency=medium

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 26 Jul 2016 13:29:05 +0200

=== debian/control ===
Source: bmusb
Priority: optional
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 9), libusb-1.0-0-dev, pkg-config
Standards-Version: 3.9.8
Section: libs

Package: libbmusb-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: userspace driver for Blackmagic USB3 video capture cards
 bmusb is a userspace driver for Blackmagic's USB3 series of
 video capture and playback cards (although only the capture part is
 currently supported), in particular the Intensity Shuttle (HDMI) and
 UltraStudio SDI cards. These are not currently served by Blackmagic's
 own Linux drivers.
 .
 bmusb is not API- or ABI-compatible with Blackmagic's drivers.

## bmusb 0.5.4

=== Makefile ===
CXXFLAGS := -std=gnu++14 -O2 -Wall -I. -g $(shell pkg-config libusb-1.0 --cflags) -pthread
LDFLAGS := $(shell pkg-config libusb-1.0 --libs) -pthread
AR := ar
LN := ln
RANLIB := ranlib
INSTALL := install
PREFIX := /usr/local
LIB := libbmusb.a
SODEV := libbmusb.so
SONAME := libbmusb.so.2
SOLIB := libbmusb.so.2.0.0

all: $(LIB) $(SOLIB) main

%.pic.o : %.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -o $@ -c $^

main: bmusb.o main.o
	$(CXX) -o main $^ $(LDFLAGS)

# Static library.
$(LIB): bmusb.o fake_capture.o
	$(AR) rc $@ $^
	$(RANLIB) $@

# Shared library.
$(SOLIB): bmusb.pic.o fake_capture.pic.o
	$(CXX) -shared -Wl,-soname,$(SONAME) -o $@ $^ $(LDFLAGS)

clean:
	$(RM) bmusb.o main.o fake_capture.o bmusb.pic.o fake_capture.pic.o $(LIB) $(SOLIB) main

install: all
	$(INSTALL) -m 755 -o root -g root -d \
		$(DESTDIR)$(PREFIX)/lib \
		$(DESTDIR)$(PREFIX)/lib/pkgconfig \
		$(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 755 -o root -g root $(LIB) $(SOLIB) $(DESTDIR)$(PREFIX)/lib
	$(LN) -sf $(SOLIB) $(DESTDIR)$(PREFIX)/lib/$(SONAME)
	$(LN) -sf $(SOLIB) $(DESTDIR)$(PREFIX)/lib/$(SODEV)
	$(INSTALL) -m 755 -o root -g root bmusb/bmusb.h bmusb/fake_capture.h $(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 644 -o root -g root bmusb.pc $(DESTDIR)$(PREFIX)/lib/pkgconfig

=== debian/changelog ===
bmusb (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 15 Jan 2017 17:44:36 +0100

bmusb (0.5.3-1) unstable; urgency=medium

  * New upstream release.
    * Bump soname, following upstream.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Dec 2016 12:12:04 +0100

bmusb (0.5.2-2) unstable; urgency=medium

  * Add back missing bmusb.pc and .h files to the -dev package.
    (They got inadvertedly lost in the package split in 0.5.2-1.)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 30 Sep 2016 19:51:04 +0200

bmusb (0.5.2-1) unstable; urgency=medium

  * New upstream release.
    * Builds a shared library, obsoleting the need for the static library
      to be built with -fPIC. (Closes: #837571)
      * Make a libbmusb1 package.
      * Obsoletes README.Debian.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 29 Sep 2016 18:37:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libbmusb-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libbmusb2 (= ${binary:Version})
 Description: userspace driver for Blackmagic USB3 video capture cards
  bmusb is a userspace driver for Blackmagic's USB3 series of
  video capture and playback cards (although only the capture part is
@@ -17,3 +17,20 @@
  own Linux drivers.
  .
  bmusb is not API- or ABI-compatible with Blackmagic's drivers.
+ .
+ This package contains the development files and static library.
+
+Package: libbmusb2
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: userspace driver for Blackmagic USB3 video capture cards
+ bmusb is a userspace driver for Blackmagic's USB3 series of
+ video capture and playback cards (although only the capture part is
+ currently supported), in particular the Intensity Shuttle (HDMI) and
+ UltraStudio SDI cards. These are not currently served by Blackmagic's
+ own Linux drivers.
+ .
+ bmusb is not API- or ABI-compatible with Blackmagic's drivers.
+ .
+ This package contains the shared library.

## bmusb 0.7.0

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PREFIX := /usr/local
 LIB := libbmusb.a
 SODEV := libbmusb.so
-SONAME := libbmusb.so.2
-SOLIB := libbmusb.so.2.0.0
+SONAME := libbmusb.so.4
+SOLIB := libbmusb.so.4.0.0
 
 all: $(LIB) $(SOLIB) main

=== debian/changelog ===
bmusb (0.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Jun 2017 10:18:47 +0200

bmusb (0.7.0-1) experimental; urgency=medium

  * New upstream release. (Uploaded to experimental in order to not interfere
    with stretch freeze.)
    * Bump soname to libbmusb4.
    * Refresh patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 May 2017 18:47:49 +0200

bmusb (0.6.0-1) experimental; urgency=medium

  * New upstream release. (Uploaded to experimental in order to not interfere
    with stretch freeze.)
    * Bump soname to libbmusb3.
    * Refresh patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 25 Feb 2017 10:58:56 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libbmusb-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbmusb2 (= ${binary:Version})
+Depends: ${misc:Depends}, libbmusb4 (= ${binary:Version})
 Description: userspace driver for Blackmagic USB3 video capture cards
  bmusb is a userspace driver for Blackmagic's USB3 series of
  video capture and playback cards (although only the capture part is
@@ -20,7 +20,7 @@
  .
  This package contains the development files and static library.
 
-Package: libbmusb2
+Package: libbmusb4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## bmusb 0.7.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LIB := libbmusb.a
 SODEV := libbmusb.so
 SONAME := libbmusb.so.4
-SOLIB := libbmusb.so.4.0.0
+SOLIB := libbmusb.so.4.0.2
 
 all: $(LIB) $(SOLIB) main

=== debian/changelog ===
bmusb (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 29 Apr 2018 13:11:31 +0200

bmusb (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Mar 2018 23:28:47 +0100

## bmusb 0.7.3

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PREFIX := /usr/local
 LIB := libbmusb.a
 SODEV := libbmusb.so
-SONAME := libbmusb.so.4
-SOLIB := libbmusb.so.4.0.2
+SONAME := libbmusb.so.5
+SOLIB := libbmusb.so.5.0.0
 
 all: $(LIB) $(SOLIB) main

=== debian/changelog ===
bmusb (0.7.3-2) unstable; urgency=medium

  * Fix dependency from libbmusb-dev to libbmusb5.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 05 Dec 2018 23:18:08 +0100

bmusb (0.7.3-1) unstable; urgency=medium

  * New upstream release.
    * Bump soname to libbmusb5.
    * Refresh patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 04 Dec 2018 18:46:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libbmusb-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbmusb4 (= ${binary:Version})
+Depends: ${misc:Depends}, libbmusb5 (= ${binary:Version})
 Description: userspace driver for Blackmagic USB3 video capture cards
  bmusb is a userspace driver for Blackmagic's USB3 series of
  video capture and playback cards (although only the capture part is
@@ -20,7 +20,7 @@
  .
  This package contains the development files and static library.
 
-Package: libbmusb4
+Package: libbmusb5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## bmusb 0.7.4

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PREFIX := /usr/local
 LIB := libbmusb.a
 SODEV := libbmusb.so
-SONAME := libbmusb.so.5
-SOLIB := libbmusb.so.5.0.0
+SONAME := libbmusb.so.6
+SOLIB := libbmusb.so.6.0.0
 
 all: $(LIB) $(SOLIB) main

=== debian/changelog ===
bmusb (0.7.4-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:07 +0100

bmusb (0.7.4-4) unstable; urgency=medium

  * support-external-pkg-config.diff: New patch from Helmut Grohne,
    adds support for overriding pkg-config (for cross-compilation).
    (Closes: #933023)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jul 2019 23:02:40 +0200

bmusb (0.7.4-3) unstable; urgency=medium

  * Source-only upload, now that we are through NEW.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 23 Jul 2019 10:09:16 +0200

bmusb (0.7.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 07 Jul 2019 10:58:31 +0200

bmusb (0.7.4-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental to avoid disturbing the
    buster release.)
    * Bump soname to libbmusb6.
    * Refresh patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 19 Apr 2019 09:59:01 +0200

## bmusb 0.7.5

=== Makefile ===
PKG_CONFIG ?= pkg-config
CXXFLAGS := -std=gnu++14 -O2 -Wall -I. -g $(shell $(PKG_CONFIG) libusb-1.0 --cflags) -pthread
LDFLAGS := $(shell $(PKG_CONFIG) libusb-1.0 --libs) -pthread
AR := ar
LN := ln
RANLIB := ranlib
INSTALL := install
PREFIX := /usr/local
LIB := libbmusb.a
SODEV := libbmusb.so
SONAME := libbmusb.so.6
SOLIB := libbmusb.so.6.0.1

all: $(LIB) $(SOLIB) main bmusb-v4l2proxy

%.pic.o : %.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -o $@ -c $^

main: bmusb.o main.o
	$(CXX) -o $@ $^ $(LDFLAGS)

bmusb-v4l2proxy: bmusb.o v4l2proxy.o
	$(CXX) -o $@ $^ $(LDFLAGS)

# Static library.
$(LIB): bmusb.o fake_capture.o
	$(AR) rc $@ $^
	$(RANLIB) $@

# Shared library.
$(SOLIB): bmusb.pic.o fake_capture.pic.o
	$(CXX) -shared -Wl,-soname,$(SONAME) -o $@ $^ $(LDFLAGS)

clean:
	$(RM) bmusb.o main.o v4l2proxy.o fake_capture.o bmusb.pic.o fake_capture.pic.o $(LIB) $(SOLIB) main bmusb-v4l2proxy

install: all
	$(INSTALL) -m 755 -o root -g root -d \
		$(DESTDIR)$(PREFIX)/lib \
		$(DESTDIR)$(PREFIX)/lib/pkgconfig \
		$(DESTDIR)$(PREFIX)/include/bmusb \
		$(DESTDIR)/lib/udev/rules.d
	$(INSTALL) -m 755 -o root -g root $(LIB) $(SOLIB) $(DESTDIR)$(PREFIX)/lib
	$(LN) -sf $(SOLIB) $(DESTDIR)$(PREFIX)/lib/$(SONAME)
	$(LN) -sf $(SOLIB) $(DESTDIR)$(PREFIX)/lib/$(SODEV)
	$(INSTALL) -m 755 -o root -g root bmusb/bmusb.h bmusb/fake_capture.h $(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 644 -o root -g root bmusb.pc $(DESTDIR)$(PREFIX)/lib/pkgconfig
	$(INSTALL) -m 644 -o root -g root 70-bmusb.rules $(DESTDIR)/lib/udev/rules.d

=== debian/changelog ===
bmusb (0.7.5-1) unstable; urgency=medium

  * New upstream release.
    * Ship udev rules file to automatically grant access to local users.
    * Incorporates (and thus obsoletes) support-external-pkg-config.diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 07 Apr 2020 21:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libbmusb-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbmusb5 (= ${binary:Version})
+Depends: ${misc:Depends}, libbmusb6 (= ${binary:Version})
 Description: userspace driver for Blackmagic USB3 video capture cards
  bmusb is a userspace driver for Blackmagic's USB3 series of
  video capture and playback cards (although only the capture part is
@@ -20,7 +20,7 @@
  .
  This package contains the development files and static library.
 
-Package: libbmusb5
+Package: libbmusb6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## bmusb 0.7.7

=== Makefile ===
PKG_CONFIG ?= pkg-config
CXXFLAGS ?= -O2 -g
CXXFLAGS := -std=gnu++14 -Wall -I. $(shell $(PKG_CONFIG) libusb-1.0 --cflags) -pthread $(CXXFLAGS)
LDFLAGS := $(shell $(PKG_CONFIG) libusb-1.0 --libs) -pthread $(LDFLAGS)
AR := ar
LN := ln
RANLIB := ranlib
INSTALL := install
PREFIX := /usr/local
LIBDIR := $(PREFIX)/lib
UDEVDIR ?= $(shell $(PKG_CONFIG) --variable udevdir udev)
UDEVDIR ?= /lib/udev
LIB := libbmusb.a
SODEV := libbmusb.so
SONAME := libbmusb.so.6
SOLIB := libbmusb.so.6.0.3

all: $(LIB) $(SOLIB) main bmusb-v4l2proxy

%.pic.o : %.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -o $@ -c $^

main: bmusb.o main.o
	$(CXX) -o $@ $^ $(LDFLAGS)

bmusb-v4l2proxy: bmusb.o v4l2proxy.o
	$(CXX) -o $@ $^ $(LDFLAGS)

# Static library.
$(LIB): bmusb.o fake_capture.o
	$(AR) rc $@ $^
	$(RANLIB) $@

# Shared library.
$(SOLIB): bmusb.pic.o fake_capture.pic.o
	$(CXX) -shared -Wl,-soname,$(SONAME) -o $@ $^ $(LDFLAGS)

clean:
	$(RM) bmusb.o main.o v4l2proxy.o fake_capture.o bmusb.pic.o fake_capture.pic.o $(LIB) $(SOLIB) main bmusb-v4l2proxy

install: all
	$(INSTALL) -m 755 -d \
		$(DESTDIR)$(LIBDIR) \
		$(DESTDIR)$(LIBDIR)/pkgconfig \
		$(DESTDIR)$(PREFIX)/include/bmusb \
		$(DESTDIR)$(UDEVDIR)/rules.d
	$(INSTALL) -m 755 $(LIB) $(SOLIB) $(DESTDIR)$(LIBDIR)
	$(LN) -sf $(SOLIB) $(DESTDIR)$(LIBDIR)/$(SONAME)
	$(LN) -sf $(SOLIB) $(DESTDIR)$(LIBDIR)/$(SODEV)
	$(INSTALL) -m 755 bmusb/bmusb.h bmusb/fake_capture.h $(DESTDIR)$(PREFIX)/include/bmusb
	$(INSTALL) -m 644 bmusb.pc $(DESTDIR)$(LIBDIR)/pkgconfig
	$(INSTALL) -m 644 70-bmusb.rules $(DESTDIR)$(UDEVDIR)/rules.d

=== debian/changelog ===
bmusb (0.7.7-3) unstable; urgency=medium

  * Build-Depend on systemd-dev instead of udev. (Closes: #1060519)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 16 Jan 2024 22:55:08 +0100

bmusb (0.7.7-2) experimental; urgency=medium

  * Patch by Chris <zeha@debian.org>.
  * Use dh-compat 13 for substitutions in debhelper config files.
  * Pick up udevdir from udev.pc, also for Debian packaging. (Closes: #1057242)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 02 Dec 2023 01:30:33 +0100

bmusb (0.7.7-1) unstable; urgency=medium

  * New upstream release.
    * Fetches udevdir from pkg-config. (Closes: #1056997)
    * Simplifies/partly obsoletes the build system patches in debian/patches/.
    * Build-depend on udev, to get the udev rules path.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 30 Nov 2023 22:11:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bmusb
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), libusb-1.0-0-dev, pkg-config
+Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, pkg-config, systemd-dev
 Standards-Version: 3.9.8
 Section: libs

=== debian/rules ===
#! /usr/bin/make -f

export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@

## bmusb 0.7.8

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 LIB := libbmusb.a
 SODEV := libbmusb.so
 SONAME := libbmusb.so.6
-SOLIB := libbmusb.so.6.0.3
+SOLIB := libbmusb.so.6.0.4
 
 all: $(LIB) $(SOLIB) main bmusb-v4l2proxy

=== debian/changelog ===
bmusb (0.7.8-2) unstable; urgency=medium

  * Support building as non-root. (Closes: #1089294)
    * build-as-non-root.diff: New patch, removes a redundant chroot call.
    * Add Rules-Requires-Root: no.
  * Fix a few “appstreamcli validate” issues in the Appstream file
    (though not all).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 08 Dec 2024 08:33:38 +0100

bmusb (0.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Add a package for bmusb-v4l2proxy.
    * Ship Appstream information as part of this package
      (this file will eventually move upstream).
      Based on patch by Petter Reinholdtsen. (Closes: #1069989)
  * Build-depend on pkgconf instead of pkg-config.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 30 Apr 2024 21:29:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bmusb
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, pkg-config, systemd-dev
+Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, pkgconf, systemd-dev
 Standards-Version: 3.9.8
 Section: libs
+Rules-Requires-Root: no
 
 Package: libbmusb-dev
 Section: libdevel
@@ -34,3 +35,22 @@
  bmusb is not API- or ABI-compatible with Blackmagic's drivers.
  .
  This package contains the shared library.
+
+Package: bmusb-v4l2proxy
+Section: video
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: v4l2loopback-dkms, v4l2loopback-utils
+Description: userspace driver for Blackmagic USB3 video capture cards -- V4L2 proxy
+ bmusb is a userspace driver for Blackmagic's USB3 series of
+ video capture and playback cards (although only the capture part is
+ currently supported), in particular the Intensity Shuttle (HDMI) and
+ UltraStudio SDI cards. These are not currently served by Blackmagic's
+ own Linux drivers.
+ .
+ This package contains bmusb-v4l2proxy, a program that takes in data
+ from a bmusb-compatible card and streams it into a V4L2 device.
+ Usually, one would let the output device be a v4l2loopback device,
+ which means other software could read the stream back as if bmusb
+ supported V4L2. This means bmusb-compatible cards could be used as,
+ for instance, webcam-like devices.

=== debian/rules ===
#! /usr/bin/make -f

export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/bin/ debian/tmp/usr/share/metainfo/
	install bmusb-v4l2proxy debian/tmp/usr/bin/
	install -m 0644 debian/bmusb.metainfo.xml debian/tmp/usr/share/metainfo/

%:
	dh $@
